Maven Core / Core IT's - JDK 9

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Maven Core / Core IT's - JDK 9

Karl Heinz Marbaise-3
Hi,

based on my testing to build Maven Core / Running IT's with JDK 9 I
found a thing which looks weird to me...

The following integration test:

MavenITmng6127PluginExecutionConfigurationInterferenceTest

is currently running fine on JDK 7 and JDK 8 but on JDK 9 it fails...

So the test projects inside that It contain a configuration like this:


   <groupId>mng-6127</groupId>
   <artifactId>mng-6127-plugin</artifactId>
   <version>0.1</version>
   <packaging>maven-plugin</packaging>

   <properties>
     <maven-version>3.3.1</maven-version>
     <maven.compiler.source>1.7</maven.compiler.source>
     <maven.compiler.target>1.7</maven.compiler.target>
   </properties>


During the run with JDk 7 / 8 the settings are just used to change the
source/target for the compilation...but they are not used while running
in JDK 9 ...So I though it's related to the usage of an older
maven-compiler-plugin (3.2) so I defined to use maven-compiler-plugin
3.6.1 and 3.7.0 but in both cases it does not help...which means the
command line keep containing:

   -target 1.6 and source 1.6 instead of the expected 1.7...

Furtermore I have taken a look into the debug output which shows the
configuration of the plugin is not correctly set in contradiction to the
given things in the pom file (see above):

[DEBUG]   (f) source = 1.6
..
[DEBUG]   (f) target = 1.6

which looks like the properties will not correctly been used by the
plugin or there is a problem related to the setting of the properties in
the plugin...

The first thing is: Can someone please verify and confirm that this a
problem on JDK 9 and not limited to my machine and/or CI Server...


Kind regards
Karl Heinz Marbaise

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Maven Core / Core IT's - JDK 9

Karl Heinz Marbaise-3
Hi,

here is the reference to our build server:

https://builds.apache.org/view/M-R/view/Maven/job/maven-wip/job/maven/job/MNG-6364/lastCompletedBuild/testReport/org.apache.maven.it/MavenITmng6127PluginExecutionConfigurationInterferenceTest/testCustomMojoExecutionConfigurator/

Kind regards
Karl Heinz Marbaise
On 18/02/18 20:03, Karl Heinz Marbaise wrote:

> Hi,
>
> based on my testing to build Maven Core / Running IT's with JDK 9 I
> found a thing which looks weird to me...
>
> The following integration test:
>
> MavenITmng6127PluginExecutionConfigurationInterferenceTest
>
> is currently running fine on JDK 7 and JDK 8 but on JDK 9 it fails...
>
> So the test projects inside that It contain a configuration like this:
>
>
>    <groupId>mng-6127</groupId>
>    <artifactId>mng-6127-plugin</artifactId>
>    <version>0.1</version>
>    <packaging>maven-plugin</packaging>
>
>    <properties>
>      <maven-version>3.3.1</maven-version>
>      <maven.compiler.source>1.7</maven.compiler.source>
>      <maven.compiler.target>1.7</maven.compiler.target>
>    </properties>
>
>
> During the run with JDk 7 / 8 the settings are just used to change the
> source/target for the compilation...but they are not used while running
> in JDK 9 ...So I though it's related to the usage of an older
> maven-compiler-plugin (3.2) so I defined to use maven-compiler-plugin
> 3.6.1 and 3.7.0 but in both cases it does not help...which means the
> command line keep containing:
>
>    -target 1.6 and source 1.6 instead of the expected 1.7...
>
> Furtermore I have taken a look into the debug output which shows the
> configuration of the plugin is not correctly set in contradiction to the
> given things in the pom file (see above):
>
> [DEBUG]   (f) source = 1.6
> ..
> [DEBUG]   (f) target = 1.6
>
> which looks like the properties will not correctly been used by the
> plugin or there is a problem related to the setting of the properties in
> the plugin...
>
> The first thing is: Can someone please verify and confirm that this a
> problem on JDK 9 and not limited to my machine and/or CI Server...
>
>
> Kind regards
> Karl Heinz Marbaise

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]